Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
Class BlockStatement

A list of statements

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`VariableScope` | `scope`
`List` | `statements`

Constructor Summary
`BlockStatement()`
`BlockStatement(List statements, VariableScope scope)`
`BlockStatement(def statements, VariableScope scope)`

Method Summary
`void` | `addStatement(Statement statement)`
`void` | `addStatements(List listOfStatements)`
`List` | `getStatements()`
`String` | `getText()`
`VariableScope` | `getVariableScope()`
`boolean` | `isEmpty()`
`void` | `setVariableScope(VariableScope scope)`
`String` | `toString()`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### BlockStatement

    public BlockStatement()

### BlockStatement

    public BlockStatement(List statements, VariableScope scope)

### BlockStatement

    public BlockStatement(def statements, VariableScope scope)

Method Detail

### addStatement

    public void addStatement(Statement statement)

### addStatements

    public void addStatements(List listOfStatements)

### getStatements

    public List getStatements()

### getText

    public String getText()

### getVariableScope

    public VariableScope getVariableScope()

### isEmpty

    public boolean isEmpty()

### setVariableScope

    public void setVariableScope(VariableScope scope)

### toString

    public String toString()

### visit

    public void visit(GroovyCodeVisitor visitor)